{
  "wurker_command": [
    {
      "slug": "test_bee",
      "name": "Test Bee",
      "description": "A shell script for testing Wurker Bee commands",
      "command": "./scripts/test_bee.sh",
      "is_module": false
    },
    {
      "slug": "test_pybee",
      "name": "Test PyBee",
      "description": "A python module for testing Wurker PyBee commands",
      "command": "test_pybee",
      "is_module": true
    }
  ],
  "wurker_cron": [
    {
      "name": "Supervised Daemon",
      "slug": "supervised",
      "cron": null,
      "overrun": 0
    },
    {
      "name": "Every minute",
      "slug": "minutes_1",
      "cron": "*/1 * * * *",
      "overrun": 0
    },
    {
      "name": "Every minute with overrun",
      "slug": "minutes_1_overrun",
      "cron": "*/1 * * * *",
      "overrun": 3
    }
  ],
  "wurker_bee": [
    {
      "name": "Test Supervised Bee",
      "slug": "test_supervised_bee",
      "description": "Test supervised Bee script",
      "command_slug": "test_bee",
      "args": [
        "-l",
        "/tmp/test_supervised_bee.log",
        "-i",
        "10"
      ],
      "enabled": false
    },
    {
      "name": "Test Supervised PyBee",
      "slug": "test_supervised_pybee",
      "description": "Test supervised PyBee module",
      "command_slug": "test_pybee",
      "args": {
        "log": "/tmp/test_supervised_pybee.log",
        "interval_seconds": 10
      },
      "enabled": false
    },
    {
      "name": "Test Scheduled Bee",
      "slug": "test_scheduled_bee",
      "description": "Test scheduled Bee script",
      "command_slug": "test_bee",
      "args": [
        "-l",
        "/tmp/test_scheduled_bee.log",
        "-i",
        "10",
        "-d",
        "40"
      ],
      "enabled": false
    },
    {
      "name": "Test Scheduled PyBee",
      "slug": "test_scheduled_pybee",
      "description": "Test scheduled PyBee module",
      "command_slug": "test_pybee",
      "args": {
        "duration": 40,
        "log": "/tmp/test_scheduled_pybee.log",
        "interval_seconds": 10
      },
      "enabled": false
    },
    {
      "name": "Test Supervised Bee Error",
      "slug": "test_supervised_bee_error",
      "description": "Test supervised Bee script and exit with error",
      "command_slug": "test_bee",
      "args": [
        "-l",
        "/tmp/test_supervised_bee.log",
        "-i",
        "10",
        "-e",
        "2"
      ],
      "enabled": false
    },
    {
      "name": "Test Supervised PyBee Error",
      "slug": "test_supervised_pybee_error",
      "description": "Test supervised PyBee module and exit with error",
      "command_slug": "test_pybee",
      "args": {
        "log": "/tmp/test_supervised_pybee.log",
        "interval_seconds": 10,
        "exit": 2
      },
      "enabled": false
    },
    {
      "name": "Test Scheduled Bee Error",
      "slug": "test_scheduled_bee_error",
      "description": "Test scheduled Bee script and exit with error",
      "command_slug": "test_bee",
      "args": [
        "-l",
        "/tmp/test_scheduled_bee.log",
        "-i",
        "10",
        "-d",
        "40",
        "-e",
        "2"
      ],
      "enabled": false
    },
    {
      "name": "Test Scheduled PyBee Error",
      "slug": "test_scheduled_pybee_error",
      "description": "Test scheduled PyBee module and exit with error",
      "command_slug": "test_pybee",
      "args": {
        "duration": 40,
        "log": "/tmp/test_scheduled_pybee.log",
        "interval_seconds": 10,
        "exit": 2
      },
      "enabled": false
    }
  ],
  "wurker_bee_cron": {
    "test_supervised_bee": "supervised",
    "test_supervised_pybee": "supervised",
    "test_scheduled_bee": "minutes_1",
    "test_scheduled_pybee": "minutes_1"
  }
}
